logstash plugin error

Engage with the community of users including those using the open source solutions.
Includes Nagios Core, Plugins, and NCPA

logstash plugin error

Postby list » Wed May 20, 2020 3:21 am

Hi I have problem for list logstash plugin
Gem::LoadError: You have already activated minitar 0.6.1, but your Gemfile requires minitar 0.5.4. Prepending `bundle exec` to your command may solve this.
I search this message into google and return a page on this forum that i can't see... can you help me?
list
 
Posts: 7
Joined: Fri Jun 17, 2016 9:53 am

Re: logstash plugin error

Postby list » Fri May 22, 2020 4:17 am

who can i obtain the list of logstash plugin into nagioslog?
list
 
Posts: 7
Joined: Fri Jun 17, 2016 9:53 am

Re: logstash plugin error

Postby ssax » Fri May 22, 2020 4:56 pm

There isn't a resolution listed in there other than checking your umask/permissions (it was resolved in a remote session so there aren't further details).

Is this occurring on a Nagios Log Server installation?
Be sure to check out our Knowledgebase for helpful articles and solutions!
User avatar
ssax
Dreams In Code
 
Posts: 5045
Joined: Wed Feb 11, 2015 12:54 pm

Re: logstash plugin error

Postby list » Mon May 25, 2020 12:10 pm

Yes we have a NagiosLog 2.15 (updated from 2.0.8)

I'll see that folder local_gem are with root:root privilegies, I had changed but this not fix the issue

./logstash-plugin list
Gem::LoadError: You have already activated minitar 0.6.1, but your Gemfile requires minitar 0.5.4. Prepending `bundle exec` to your command may solve this.
setup at /nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/bundler-1.9.10/lib/bundler/runtime.rb:34
each at org/jruby/RubyArray.java:1613
each at /nagioslogserver/logstash/vendor/jruby/lib/ruby/1.9/forwardable.rb:201
setup at /nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/bundler-1.9.10/lib/bundler/runtime.rb:19
setup at /nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/bundler-1.9.10/lib/bundler.rb:122
setup! at /nagioslogserver/logstash/lib/bootstrap/bundler.rb:64
execute at /nagioslogserver/logstash/lib/pluginmanager/list.rb:17
run at /nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/clamp-0.6.5/lib/clamp/command.rb:67
execute at /nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/clamp-0.6.5/lib/clamp/subcommand/execution.rb:11
run at /nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/clamp-0.6.5/lib/clamp/command.rb:67
run at /nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/clamp-0.6.5/lib/clamp/command.rb:132
(root) at /nagioslogserver/logstash/lib/pluginmanager/main.rb:43

drwxrwxr-x. 7 nagios nagios 229 Apr 29 13:16 .
drwxrwxr-x 10 nagios nagios 264 Apr 29 12:39 ..
drwxrwxr-x. 2 nagios nagios 194 Mar 21 2018 bin
-rwxrwxr-x. 1 nagios nagios 138 Dec 21 2017 CHANGELOG
-rwxrwxr-x 1 nagios nagios 102879 Mar 31 09:31 CHANGELOG.md
-rwxrwxr-x. 1 nagios nagios 2249 Mar 31 09:31 CONTRIBUTORS
drwxrwxr-x. 3 nagios nagios 20 Dec 21 2017 etc
-rwxrwxr-x 1 nagios nagios 8555 Mar 31 09:32 Gemfile
-rwxrwxr-x. 1 nagios nagios 37531 Mar 31 09:32 Gemfile.jruby-1.9.lock
-rwxrwxr-x 1 nagios nagios 308522020 Jun 18 2019 heapdump.hprof.gz
drwxrwxr-x. 4 nagios nagios 44 Mar 31 09:31 lib
-rwxrwxr-x. 1 nagios nagios 589 Mar 31 09:31 LICENSE
-rwxrwxr-x 1 nagios nagios 149 Mar 31 09:31 NOTICE.TXT
drwxrwxr-x 2 nagios nagios 20 Jun 18 2019 patterns
drwxrwxr-x. 5 nagios nagios 51 Mar 31 09:31 vendor
list
 
Posts: 7
Joined: Fri Jun 17, 2016 9:53 am

Re: logstash plugin error

Postby list » Tue Jun 02, 2020 11:35 am

We still have this error in NagiosLog server 2.1.5
There is a checklist for verifiy this problem?
list
 
Posts: 7
Joined: Fri Jun 17, 2016 9:53 am

Re: logstash plugin error

Postby ssax » Fri Jun 05, 2020 12:47 pm

I was able to replicate this, I was able to fix it by removing the newer duplicate gem file.

I will be submitting a bug report for this so the developers can fix it.

Edit (submitted):

Code: Select all
NEW TASK ID 15169 created - Nagios Log Server Bug Report: LS - Fresh install of LS 2.1.6 has duplicate gemfiles for minitar


Try this:

Code: Select all
mv /usr/local/nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/minitar-0.6.1 /root/


Then run the command again:

Code: Select all
/usr/local/nagioslogserver/logstash/bin/logstash-plugin list --verbose



If you need to revert for whatever reason, you can run this command:

Code: Select all
mv /root/minitar-0.6.1 /usr/local/nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/


Let us know the results.
Be sure to check out our Knowledgebase for helpful articles and solutions!
User avatar
ssax
Dreams In Code
 
Posts: 5045
Joined: Wed Feb 11, 2015 12:54 pm


Return to Community Support

Who is online

Users browsing this forum: Google [Bot] and 8 guests